\section{Related Work} \label{sec:related}

% Structure: 1. Literature reviews (systematic/survey/critical) about FLOSS
% development 2. Studies about FLOSS phenomenon transformation 3. Studies about
% recent researchs and opportunities 4. Studies about Linux project
% characteristics

A variety of studies reviews the FLOSS literature in the last 20 years. Scacchi
reviews empirical studies of FLOSS projects to identify practices, processes,
dynamics, and other socio-technical concerns involved in these ecosystems and
research opportunities in this field of study\cite{Scacchi2006}. The author
also points to the relevance of resources and capabilities supporting this kind
of development.  Crowston et al. reviewed commercial publications between 1999
and 2006 related to empirical research in development FLOSS. The purpose of the
paper is to synthesize what academia known and unknown about the process and
public/private practices involved in the FLOSS development\cite{Crowston2012}.
Osterlie et al. conduct a critical review of the formal literature to
investigate, through discourse analysis, how software engineering research has
treated \textit{open-source} as a homogeneous phenomenon\cite{osterlie2007}.
Through this analysis, they demonstrate a variety of points where the academy
has built biased concepts about the practice and advocate for the heterogeneity
and multidisciplinarity of \textit{open-source} development (OSSD).

The studies mentioned above converge with Fitzgerald's view that FLOSS
development based on geographically distributed communities has become a type
of OSS 2.0 due to the growing participation of commercial
actors\cite{Fitzgerald2006}. The author characterizes both FLOSS in its origin
as its current version and points out possible gaps between the focus of OSS
research and the OSS phenomenon itself. Also, investigations that mine data
from the contributions' flow of different projects point to the FLOSS
dissociation of the bazaar model. In light of characteristics that describe the
bazaar-like development, Rigby et al. evaluate the peer-review process of some
FLOSS projects and show the incompatibility of the Linux development process
with the famous Linus' Law\cite{Rigby2014}.

This study differs from others using multiple research methods to update the
academic understanding of FLOSS development models and propose the use of
appropriate research techniques to improve the coverage of practical and
theoretical aspects of FLOSS ecosystems researches. These methods include a
multivocal literature review, containing both formal and grey literature, and
the employment of mechanisms of action-research, as well as, mining data from
the various community means of interaction.
